# HG changeset patch
# User Ashwin Vishnu <avmo@kth.se>
# Date 1519726380 -3600
#      Tue Feb 27 11:13:00 2018 +0100
# Node ID a60527600c648da99e958809fbc6f1ac1ad86439
# Parent  cdbbd38f2c3581b54c6a9b48362d508c4d247407
Dedalus installation script

diff --git a/.hgignore b/.hgignore
--- a/.hgignore
+++ b/.hgignore
@@ -24,4 +24,5 @@
 
 **/_minted-*
 
-fluidsim/Scripts/spectralDNS/*
\ No newline at end of file
+fluidsim/Scripts/spectralDNS/*
+fluidsim/Scripts/dedalus*
diff --git a/fluidsim/Scripts/install_dedalus.sh b/fluidsim/Scripts/install_dedalus.sh
new file mode 100755
--- /dev/null
+++ b/fluidsim/Scripts/install_dedalus.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# set -e
+
+## Use the following if you use virtualenvwrapper like me ;)
+# mkvirtualenv -p python3 --system-site-packages dedalus_python
+# python3 -m venv --system-site-packages dedalus_python
+python3 -m venv -p python3 dedalus_python
+source dedalus_python/bin/activate
+
+hg clone https://bitbucket.org/dedalus-project/dedalus
+cd dedalus
+
+pip install -r requirements.txt
+
+# Set to help Dedalus find the proper libraries
+# export FFTW_PATH=
+# export MPI_PATH=
+python setup.py build_ext --inplace
+python setup.py install
+
+pwd > $VIRTUAL_ENV/.project
+# python -c 'from dedalus.tests.special_functions import airy; airy.test_airy()'
+# python -c 'from dedalus.tests.special_functions import bessel; bessel.test_bessel()'
+echo '*******************************************************************'
+echo Example scripts:
+echo python examples/ivp/2d_rayleigh_benard/rayleigh_benard.py
+echo python examples/ivp/3d_rayleigh_benard/rayleigh_benard.py
+echo '*******************************************************************'
diff --git a/fluidsim/Scripts/install_spectraldns.sh b/fluidsim/Scripts/install_spectraldns.sh
old mode 100644
new mode 100755